Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Interface Canvas

All Known Implementing Classes:
  CanvasImpl

public interface Canvas
extends ArchivedGeometryWidget, ArchivedGeometryWidgetS

An interface to Tk canvas semantics.. The Canvas widget allows display of a diverse range of graphical objects.

Method Summary
`java.lang.Object` | `addWidget$X$Y$centerFlag(java.lang.Object widget, int x, int y, boolean centerFlag)` Position a widget inside the canvas
`java.lang.Object` | `checkGeometry(java.lang.Object frame)` Make sure the that the geometry is `reasonable'.
`java.lang.Object` | `removeWidget(java.lang.Object widget)` Remove a widget from the canvas.

Methods inherited from interface swarm.gui.ArchivedGeometryWidget
`updateArchiver`

Methods inherited from interface swarm.gui.Widget
`disableDestroyNotification, enableDestroyNotification$notificationMethod, getDestroyedFlag, getHeight, getParent, getTopLevel, getWidgetName, getWidth, getWindowGeometry, getX, getY, pack, packBeforeAndFillLeft$expand, packFill, packFillLeft, packForgetAndExpand, packToRight, setActiveFlag, setHeight, setWidth, setWidth$Height, setWindowGeometry, setWindowTitle, setX$Y`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### addWidget$X$Y$centerFlag

    public java.lang.Object addWidget$X$Y$centerFlag(java.lang.Object widget,
                                                     int x,
                                                     int y,
                                                     boolean centerFlag)

  Position a widget inside the canvas

### removeWidget

    public java.lang.Object removeWidget(java.lang.Object widget)

  Remove a widget from the canvas.

### checkGeometry

    public java.lang.Object checkGeometry(java.lang.Object frame)

  Make sure the that the geometry is `reasonable'.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD